# Generated from jdbc-postgres-42.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jdbc-postgres

Name: rubygem-%{gem_name}
Version: 42.6.0
Release: 1%{?dist}
Summary: JDBC driver for JRuby and PostgreSQL (used by ActiveRecord-JDBC)
License: BSD
URL: http://github.com/jruby/activerecord-jdbc-adapter/tree/master/jdbc-postgres
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Install this gem `require 'jdbc/postgres'` and invoke
`Jdbc::Postgres.load_driver` within JRuby to load the driver.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Sat Jun 10 2023 mockbuilder - 42.6.0-1
- Initial package
